Name:           gnome-gmail
Version:        1.5.1
Release:        1%{?dist}
Summary:        Make Gmail an option for the default Gnome mail handler

Group:          Applications/Internet
License:        GPLv2
URL:            http://gnome-gmail.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/Version%20%{version}/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       control-center
Requires:       dbus-python 
Requires:       gconf-editor
Requires:       gnome-python2-gconf
Requires:       gnome-python2-gnomekeyring
Requires:       hicolor-icon-theme
Requires:       pygobject2
Requires:       pygtk2-libglade
Requires:       python >= 2.6

Requires(post): GConf2
Requires(postun): GConf2


%description
This package makes Gmail a choice in the Gnome control panel for the default
mail handler. It opens in the default web browser.


%prep
%setup -q

# Rename icons from gmail.png to gnome-gmail.png
%{__sed} -i -e "s|gmail.png|%{name}.png|g" Makefile
%{__sed} -i -e "s|<icon-name>gmail</icon-name>|<icon-name>%{name}</icon-name>|g" %{name}.xml

# Move .glade in share
%{__sed} -i -e "s|/usr/lib/gnome-gmail/gnomegmail.glade|%{_datadir}/%{name}/gnomegmail.glade|g" %{name}

# rpmlint (E): script-without-shebang
for file in %{name}.schemas %{name}.xml gnomegmail.glade;
    do %{__sed} -i -e "s|install $file|install --mode=0644 $file|g" Makefile
done


%build


%install
%{__rm} -rf %{buildroot}
%{__make} prefix=%{buildroot} libdir=%{buildroot}/%{_datadir}/%{name} install


%clean
%{__rm} -rf %{buildroot}


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/gnome-control-center/default-apps/%{name}.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/gnomegmail.glade
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Wed Jul 21 2010 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.5.1-1
- Initial packaging
